import { select, csv, csvFormat } from 'd3';

const kilobytes = data =>
  Math.ceil(csvFormat(data).length / 1000);

const body = select('body');

csv('https://gist.githubusercontent.com/chakravarthulaharsha/e5b6084270d2aa9cf17dbb075d81c82e/raw/6d58e0e334296798295f60911efe123aff545b75/DataViz_A6_data.csv')
  .then(data => {
    
    body
      .append('pre')
        .text('First 10 rows:');

    body
      .append('pre')
        .text(JSON.stringify(data.slice(0, 10), null, 2));
  });